createTable

Initiates the creation of a new table based on the provided schema, excluding system-managed fields like IDs and timestamps.

POST/v1/tables

Authorization

AuthorizationBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header parameters

x-bot-idstring
Bot id
x-integration-id?string
Integration id
x-integration-alias?string
Integration alias
x-integration-name?string
Integration name
x-user-id?string
User Id
x-user-role?string
User Role

Request body

Schema defining the structure of the new table

namestring
Required. This name is used to identify your table.(min length: 1)
factor?numberdefault: 1
The 'factor' multiplies the row's data storage limit by 4KB and its quota count. It can only be increased (not decreased) after table creation via updateTable. For instance, a factor of 2 increases storage to 8KB but counts as 2 rows in your quota. The default factor is 1.(>= 1, <= 30)
frozen?boolean
A table designated as "frozen" is immutable in terms of its name and schema structure; modifications to its schema or a renaming operation are not permitted. The only action that can be taken on such a table is deletion. The schema established at the time of creation is locked in as the final structure. To implement any changes, the table must be duplicated with the desired alterations.
keyColumn?string | null
Designate a column as the primary unique identifier for this table. When set, a unique index is automatically created on this column, enabling significantly faster upsert operations. All values in this column must be unique across the table. When set to null, the key index is removed.
schemaobject
Provide an object or a JSON schema to define the columns of the table. A maximum of 20 keys in the object/schema is allowed.
tags?object
Optional tags to help organize your tables. These should be passed here as an object representing key/value pairs.
isComputeEnabled?boolean
Indicates if the table is enabled for computation.

Response

The created table object.

tableobject